<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Polygon Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#2326d35755fe008fb437c208c6b007d6">deleteVertex</a>(size_t vertex)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#e6e7019c9a29ef5eb95e6c063d355830">Edge</a> typedef</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#75ad4cca62e4f65b7f6007ee29c42644">EdgeMap</a> typedef</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#4e226171fc5dd3387b574d2be00c667d">getNormal</a>(void)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#78fc87812be94651e58cd99d7cdbef54">getVertex</a>(size_t vertex) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#b61dd0f578a0aee7661960f2d4bd5bb4">getVertexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#8853087632d98ac16fa4e1c04e537353">insertVertex</a>(const Vector3 &amp;vdata, size_t vertexIndex)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#c32b2d0a6e7c0cee21471fdaf6da13c4">insertVertex</a>(const Vector3 &amp;vdata)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#371dbd706469fcd3a09e6cc9de307a31">mIsNormalSet</a></td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#52453dc3845392de7cfb9516d92d8111">mNormal</a></td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#44797951e46517046987e8e73c86f060">mVertexList</a></td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#0db7b835ad9015300d80253f0e7438cf">operator!=</a>(const Polygon &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#4ecd1e0336a4e27b0c09ae3f75a1da72">operator&lt;&lt;</a>(std::ostream &amp;strm, const Polygon &amp;poly)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#e607fbd8d07ef696d741499e4fe47673">operator==</a>(const Polygon &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#1530c1d4761371c423916f4b497d612e">Polygon</a>()</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#86fb38e409c2792034bb6754ff373dc0">Polygon</a>(const Polygon &amp;cpy)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#777fe4198b330b2df854b68128299f5c">removeDuplicates</a>(void)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#9db9518c3381e7a840610bf181d65b73">reset</a>(void)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#0d19a9876f714cde041e3b7c4598e3b4">setVertex</a>(const Vector3 &amp;vdata, size_t vertexIndex)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#61ad0b21fa73c9019690da206dfeef88">storeEdges</a>(EdgeMap *edgeMap) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#284a3ddcaa413682f70a160f946bca33">updateNormal</a>(void)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">VertexList</a> typedef</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#7ce008c85c18f7c28776a7e6b5fb60f3">~Polygon</a>()</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:49 2008
</p>
</body>
</html>
